import {
  uploadFile,
  detectVehicleLicense,
  login,
  listCompany,
  myCompany,
  createCompany,
  updateCompanyStatus,
  updateCompanyExpired,
  updateCompany,
  listAccount,
  listAccountMine,
  createAccount,
  updatePassword,
  updateAccountStatus,
  listSource,
  createSource,
  updateSource,
  updateSourceStatus,
  listModel,
  listBrand,
  listColor,
  listEnvironmentalStandard,
  listEngineType,
  listVehicleType,
  listUseCharacters,
  createData,
  listVehicle,
  listNoSourceContractVehicles,
  createVehicle,
  updateVehicle,
  listContract,
  listLogs,
  signContract,
  updateContract,
  terminateContract, 
  returnDeposit,
} from "./request_methods";

export default {
  namespaced: true,
  state: {},
  actions: {
    asyncUploadFile(_, payload) {
      return uploadFile(payload)
    },
    asyncDetectVehicleLicense(_, payload) {
      return detectVehicleLicense(payload)
    },
    asyncLogin(_, payload) {
      return login(payload)
    },
    asyncListCompany(_, payload) {
      return listCompany(payload)
    },
    asyncMyCompany(_, payload) {
      return myCompany(payload)
    },
    asyncCreateCompany(_, payload) {
      return createCompany(payload)
    },
    asyncUpdateCompanyStatus(_, payload) {
      return updateCompanyStatus(payload)
    },
    asyncUpdateCompanyExpired(_, payload) {
      return updateCompanyExpired(payload)
    },
    asyncUpdateCompany(_, payload) {
      return updateCompany(payload)
    },
    asyncListAccount(_, payload) {
      return listAccount(payload)
    },
    asyncListAccountMine(_, payload) {
      return listAccountMine(payload)
    },
    asyncCreateAccount(_, payload) {
      return createAccount(payload)
    },
    asyncUpdatePassword(_, payload) {
      return updatePassword(payload)
    },
    asyncUpdateAccountStatus(_, payload) {
      return updateAccountStatus(payload)
    },
    asyncListSource(_, payload) {
      return listSource(payload)
    },
    asyncCreateSource(_, payload) {
      return createSource(payload)
    },
    asyncUpdateSource(_, payload) {
      return updateSource(payload)
    },
    asyncUpdateSourceStatus(_, payload) {
      return updateSourceStatus(payload)
    },
    
    asyncListModel(_, payload) {
      return listModel(payload)
    },
    asyncListBrand(_, payload) {
      return listBrand(payload)
    },
    asyncListColor(_, payload) {
      return listColor(payload)
    },
    asyncListEnvironmentalStandard(_, payload) {
      return listEnvironmentalStandard(payload)
    },
    asyncListEngineType(_, payload) {
      return listEngineType(payload)
    },
    asyncListVehicleType(_, payload) {
      return listVehicleType(payload)
    },
    asyncListUseCharacters(_, payload) {
      return listUseCharacters(payload)
    },
    asyncCreateData(_, payload) {
      return createData(payload)
    },

    asyncListVehicle(_, payload) {
      return listVehicle(payload)
    },
    asyncListNoSourceContractVehicles(_, payload) {
      return listNoSourceContractVehicles(payload)
    },
    asyncCreateVehicle(_, payload) {
      return createVehicle(payload)
    },
    asyncUpdateVehicle(_, payload) {
      return updateVehicle(payload)
    },
    asyncListContract(_, payload) {
      return listContract(payload)
    },
    asyncListLogs(_, payload) {
      return listLogs(payload)
    },
    asyncSignContract(_, payload) {
      return signContract(payload)
    },
    asyncUpdateContract(_, payload) {
      return updateContract(payload)
    },
    asyncTerminateContract(_, payload) {
      return terminateContract(payload)
    },
    asyncReturnDeposit(_, payload) {
      return returnDeposit(payload)
    },
    
  },
  mutations: {
  }
};
